Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.identity
Class CharIdentity

    java.lang.Object
      javax.jdo.identity.SingleFieldIdentity
          javax.jdo.identity.CharIdentity

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, java.lang.Comparable

    public class CharIdentity

extends SingleFieldIdentity

This class is for identity with a single character field.

Version:
  2.0
See Also:
  Serialized Form

Constructor Summary
`CharIdentity()` Constructor only for Externalizable.
`CharIdentity(java.lang.Class pcClass, char key)` Constructor with class and key.
`CharIdentity(java.lang.Class pcClass, java.lang.Character key)` Constructor with class and key.
`CharIdentity(java.lang.Class pcClass, java.lang.String str)` Constructor with class and key.

Method Summary
`int` | `compareTo(java.lang.Object o)` Determine the ordering of identity objects.
`boolean` | `equals(java.lang.Object obj)` Determine if the other object represents the same object id.
`char` | `getKey()` Return the key.
`void` | `readExternal(java.io.ObjectInput in)` Read this object.
`java.lang.String` | `toString()` Return the String form of the key.
`void` | `writeExternal(java.io.ObjectOutput out)` Write this object.

Methods inherited from class javax.jdo.identity.SingleFieldIdentity
`getKeyAsObject, getTargetClass, getTargetClassName, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CharIdentity

    public CharIdentity(java.lang.Class pcClass,
                        char key)

  Constructor with class and key.

  Parameters:
    `pcClass` - the target class
    `key` - the key

### CharIdentity

    public CharIdentity(java.lang.Class pcClass,
                        java.lang.Character key)

  Constructor with class and key.

  Parameters:
    `pcClass` - the target class
    `key` - the key

### CharIdentity

    public CharIdentity(java.lang.Class pcClass,
                        java.lang.String str)

  Constructor with class and key. The String must have exactly one character.

  Parameters:
    `pcClass` - the target class
    `str` - the key

### CharIdentity

    public CharIdentity()

  Constructor only for Externalizable.

Method Detail

### getKey

    public char getKey()

  Return the key.

  Returns:
    the key

### toString

    public java.lang.String toString()

  Return the String form of the key.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the String form of the key

### equals

    public boolean equals(java.lang.Object obj)

  Determine if the other object represents the same object id.

  Overrides:
    `equals` in class `SingleFieldIdentity`
  Parameters:
    `obj` - the other object
  Returns:
    true if both objects represent the same object id

### compareTo

    public int compareTo(java.lang.Object o)

  Determine the ordering of identity objects.

  Parameters:
    `o` - Other identity
  Returns:
    The relative ordering between the objects
  Since:
    2.2

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Write this object. Write the superclass first.

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Overrides:
    `writeExternal` in class `SingleFieldIdentity`
  Parameters:
    `out` - the output
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Read this object. Read the superclass first.

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Overrides:
    `readExternal` in class `SingleFieldIdentity`
  Parameters:
    `in` - the input
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD